- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# intersight_rest_api – REST API configuration for Cisco Intersight

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Direct REST API configuration for Cisco Intersight.

- All REST API resources and properties must be specified.

- For more information see Cisco Intersight.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_body dictionary |  | The payload for API requests used to modify resources.
api_key_id string / required |  | Public API Key ID associated with the private key.
api_private_key path / required |  | Filename (absolute path) of a PEM formatted file that contains your private key to be used for Intersight API authentication.
api_uri string | Default: "https://intersight.com/api/v1" | URI used to access the Intersight API.
query_params dictionary |  | Query parameters for the Intersight API query language.
resource_path string / required |  | Resource URI being configured related to api_uri.
state - | Choices: present ← absent | If `present`, will verify the resource is present and will create if needed. If `absent`, will verify the resource is absent and will delete if needed.
update_method string | Choices: patch ← post | The HTTP method used for update operations. Some Intersight resources require POST operations for modifications.
use_proxy boolean | Choices: no yes ← | If `no`, it will not use a proxy, even if one is defined in an environment variable on the target hosts.
validate_certs boolean | Choices: no yes ← | Boolean control for verifying the api_uri TLS certificate

## Examples

    - name: Configure Boot Policy
      intersight_rest_api:
        api_private_key: "{{ api_private_key }}"
        api_key_id: "{{ api_key_id }}"
        api_key_uri: "{{ api_key_uri }}"
        validate_certs: "{{ validate_certs }}"
        resource_path: /boot/PrecisionPolicies
        query_params:
          $filter: "Name eq 'vmedia-localdisk'"
        api_body: {
          "Name": "vmedia-hdd",
          "ConfiguredBootMode": "Legacy",
          "BootDevices": [
            {
              "ObjectType": "boot.VirtualMedia",
              "Enabled": true,
              "Name": "remote-vmedia",
              "Subtype": "cimc-mapped-dvd"
            },
            {
              "ObjectType": "boot.LocalDisk",
              "Enabled": true,
              "Name": "localdisk",
              "Slot": "MRAID",
              "Bootloader": null
            }
          ],
        }
        state: present

    - name: Delete Boot Policy
      intersight_rest_api:
        api_private_key: "{{ api_private_key }}"
        api_key_id: "{{ api_key_id }}"
        api_key_uri: "{{ api_key_uri }}"
        validate_certs: "{{ validate_certs }}"
        resource_path: /boot/PrecisionPolicies
        query_params:
          $filter: "Name eq 'vmedia-localdisk'"
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
api_repsonse dictionary | always | The API response output returned by the specified resource. Sample: {'api_response': {'BootDevices': [{'Enabled': True, 'Name': 'remote-vmedia', 'ObjectType': 'boot.VirtualMedia', 'Subtype': 'cimc-mapped-dvd'}, {'Bootloader': None, 'Enabled': True, 'Name': 'boot-lun', 'ObjectType': 'boot.LocalDisk', 'Slot': 'MRAID'}], 'ConfiguredBootMode': 'Legacy', 'Name': 'vmedia-localdisk', 'ObjectType': 'boot.PrecisionPolicy'}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- David Soper (@dsoper2)

- CiscoUcs (@CiscoUcs)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.